PHP Manual
Prev |  | Next

# register_tick_function

(PHP 4 >= 4.0.3, PHP 5)

register_tick_function -- Register a function for execution on each tick

## Description

bool register_tick_function ( callback function [, mixed arg [, mixed ...]] )

Registers the given `function` to be executed when a tick is called.

## Parameters

`function`

  The function name as a string, or an array consisting of an object and a method.

`arg`

`...`

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. register_tick_function() example

`<?php // using a function as the callback register_tick_function('my_function', true); // using an object->method $object = new my_class(); register_tick_function(array(&$object, 'my_method'), true); ?>`

## Notes

Warning
register_tick_function() should not be used with threaded web server modules. Ticks are not working in ZTS mode and may crash your web server.

## See Also

declare
unregister_tick_function()

Prev | Home | Next
register_shutdown_function | Up | unregister_tick_function